Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class SetPropertyGenerator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.GeneratorBase
            |
            +--org.apache.jasper.compiler.SetPropertyGenerator

All Implemented Interfaces:
  Generator, ServiceMethodPhase

public class SetPropertyGenerator
extends org.apache.jasper.compiler.GeneratorBase
implements ServiceMethodPhase

Generator for jsp:setProperty.

Author:
  Mandar Raje, Danno Ferrin

Field Summary
`protected JspCompilationContext` | `ctxt`

Constructor Summary
`SetPropertyGenerator(Mark start, Mark stop, org.xml.sax.Attributes attrs, BeanRepository beanInfo, boolean isXml)`

Method Summary
`void` | `generate(ServletWriter writer, java.lang.Class phase)`
`boolean` | `generateCoordinates(java.lang.Class phase)`
`java.lang.String` | `getAttribute(java.lang.String name)`
`void` | `init(JspCompilationContext ctxt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctxt

    protected JspCompilationContext ctxt

Constructor Detail

### SetPropertyGenerator

    public SetPropertyGenerator(Mark start,
                                Mark stop,
                                org.xml.sax.Attributes attrs,
                                BeanRepository beanInfo,
                                boolean isXml)

Method Detail

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)
                  throws JasperException

  Specified by:
    `generate` in interface `Generator`
    `JasperException`

### getAttribute

    public java.lang.String getAttribute(java.lang.String name)

### init

    public void init(JspCompilationContext ctxt)
              throws JasperException

  Specified by:
    `init` in interface `Generator`
    `JasperException`

### generateCoordinates

    public boolean generateCoordinates(java.lang.Class phase)

  Specified by:
    `generateCoordinates` in interface `Generator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.